﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;
namespace xamPivotGridCellEditing
{
    public class Sale : INotifyPropertyChanged
    {
    public event PropertyChangedEventHandler PropertyChanged = delegate { };

    public Sale()
        {
            this.Product = new Product();
            this.Seller = new Seller();
        }
        public Product Product { get; set; }
        public Seller Seller { get; set; }

        public string City
        {
            get { return Seller.City; }
            set { Seller.City = value; }
        }

        int _units;
        public int NumberOfUnits
        {
          get { return _units; }
          set
          {
            _units = value;
            PropertyChanged(this, new PropertyChangedEventArgs("NumberOfUnits"));
          }
      
        }

        public double AmountOfSale
        {
            get { return UnitPrice * NumberOfUnits; }
            set { Product.UnitPrice = value / NumberOfUnits;
                PropertyChanged(this, new PropertyChangedEventArgs("AmountOfSale"));
            }
        }

        public double UnitPrice
        {
            get { return Product.UnitPrice; }
            set { Product.UnitPrice = value; }
        }
    }
}
