﻿using Infragistics.Controls.Grids;
using Infragistics.Olap;
using Infragistics.Olap.Data.Base;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Olap.FlatData;
using System.Windows.Threading;

namespace xamPivotGridCellEditing
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            var data = new SampleFlatData();
            grid.DataContext = data;
        }

        IEnumerable<PivotCell> cells;

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            //Seller seller = new Seller()
            //{
            //    City = "City" + 40 % 4,
            //    Name = "Seller" + 40
            //};
            //Product product = new Product()
            //{
            //    Name = "Product" + 5,
            //    UnitPrice = 12.3 + 40 / 10
            //};

            //Sale sale = new Sale()
            //{
            //    Seller = seller,
            //    Product = product,
            //    NumberOfUnits = 1000
            //};

            //foreach (var cell in this.pivotGrid.SelectionSettings.SelectedCells)
            //{
            //    var test = cell.ToString();
            //}

            cells = this.pivotGrid.SelectionSettings.SelectedCells.ToList<PivotCell>();
            
            (((this.pivotGrid.DataSource as FlatDataSource).ItemsSource as ICollectionView).SourceCollection as ObservableCollection<Sale>)[0].NumberOfUnits += 10;
            (((this.pivotGrid.DataSource as FlatDataSource).ItemsSource as ICollectionView)).Refresh();
            (this.pivotGrid.DataSource as FlatDataSource).ResultChanged += DataSource_ResultChanged;
            (this.pivotGrid.DataSource as FlatDataSource).RefreshGrid();
            
        }
        
        private void DataSource_ResultChanged(object sender, ResultChangedEventArgs e)
        {
            foreach (var cell in cells)
            {
                var colKey = cell.Column.Index;
                var rowKey = cell.DataRow.HeaderText;
                var row = this.pivotGrid.GridLayout.Rows.Where(r => r.HeaderText == rowKey).FirstOrDefault();

                this.pivotGrid.SelectionSettings.SelectedCells.Add(row.Cells[colKey]);
            }
        }
        
    }
}

